Debians sikkerhedsbulletin

DSA-1010-1 ilohamail -- manglende kontrol af inddata

Rapporteret den:
20. mar 2006
Berørte pakker:
ilohamail
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 304525.
I Bugtraq-databasen (hos SecurityFocus): BugTraq-id 13175.
I Mitres CVE-ordbog: CVE-2005-1120.
Yderligere oplysninger:

Ulf Härnhammar fra Debian Security Audit-projektet har opdaget at ilohamail, en ikke så omfattende flersproget og webbaseret IMAP/POP3-klient, ikke altid kontrollerede inddata leveret af brugerne, hvilket gjorde det muligt for fjernangribere at indsprøjte vilkårligt webskript eller HTML.

Den gamle stabile distribution (woody) indeholder ikke en ilohamail-pakke.

I den stabile distribution (sarge) er disse problemer rettet i version 0.8.14-0rc3sarge1.

I den ustabile distribution (sid) er disse problemer rettet i version 0.8.14-0rc3sarge1.

Vi anbefaler at du opgraderer din ilohamail-pakke.

Rettet i:

Debian GNU/Linux 3.1 (sarge)

Kildekode:
http://security.debian.org/pool/updates/main/i/ilohamail/ilohamail_0.8.14-0rc3sarge1.dsc
http://security.debian.org/pool/updates/main/i/ilohamail/ilohamail_0.8.14-0rc3sarge1.diff.gz
http://security.debian.org/pool/updates/main/i/ilohamail/ilohamail_0.8.14.orig.tar.gz
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/i/ilohamail/ilohamail_0.8.14-0rc3sarge1_all.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.